#pragma once

#include <QString>

template <class PolygonType, template <class,class...> class ContainerType >
class PolygonArray : public ContainerType<PolygonType> {
public:
    explicit PolygonArray() : ContainerType<PolygonType>() {}
    PolygonArray(const PolygonArray &other) : ContainerType<PolygonType>(other) {}

    QString type() const override {return "PolygonArray";}
};
